/*
 *     Copyright (C) 2015 ASIP Santé
 */
package fr.asipsante.mss.connectkit.connection;

import java.io.UnsupportedEncodingException;

import org.slf4j.LoggerFactory;

/**
 * Exception déclenchée lorsque la réponse du serveur comporte un élément SOAP
 * Fault.
 * 
 * @author ASIP Santé
 *
 */
@SuppressWarnings("serial")
// On ne souhaite pas sérialiser
public final class Fault extends RuntimeException {
    /**
     * @param message
     */
    Fault(byte[] message) {
        super(toString(message));
    }

    private static String toString(byte[] message) {
        try {
            return new String(message, "utf-8");
        } catch (UnsupportedEncodingException e) {
            LoggerFactory.getLogger(Fault.class).error(
                    "Problement encodage soap fault", e);
            return new String(message);
        }
    }

}